"""
Модуль является результатом выполнения практической
домашней работы по теме "Циклы"

:copyright: Сергей Ванюшкин <pi3c@yandex.ru>
:git: https://git.pi3c.ru/pi3c/StudyRepo_Synergy.git
:license: MIT
2023г.
"""

num = input("Введите число: ")
try:
    num = int(num)
except ValueError:
    print("Sorry, только целые числа принимаем")
    exit()

if num == 0:
    print("Ввели 0, циклу некуда шагать...")
else:
    step = -1 if num < 0 else 1
    skip = False

    print('Генерация с помощью "for"')
    for i in range(0, num + step, step):
        if abs(i) < 3 or abs(i) > abs(num + step) - 4:
            print(i)
        else:
            if not skip:
                skip = True
                print("Пропускаю строки")

    print()
    print("Генерация с помощью while")
    idx = 0
    skip = False
    while abs(idx) <= abs(num):
        if abs(idx) < 3 or abs(idx) > abs(num + step) - 4:
            print(idx)
        else:
            if not skip:
                skip = True
                print("Пропускаю строки")
        idx += step
